<?xml version="1.0" encoding="US-ASCII"?>
<!-- DFIN New ActiveDisclosure (SM) XBRL Schema Document - http://www.dfinsolutions.com/ -->
<!-- Creation Date :2024-05-02T11:42:43.7424+00:00 -->
<!-- Copyright (c) 2024 Donnelly Financial Solutions, Inc. All Rights Reserved. -->
<xsd:schema targetNamespace="http://www.shoecarnival.com/20240502" attributeFormDefault="unqualified" elementFormDefault="qualified" xmlns:dtr-types="http://www.xbrl.org/dtr/type/2022-03-31" xmlns:enum2="http://xbrl.org/2020/extensible-enumerations-2.0" xmlns:scvl="http://www.shoecarnival.com/20240502" xmlns:ecd-sub="http://xbrl.sec.gov/ecd-sub/2023" xmlns:ecd="http://xbrl.sec.gov/ecd/2023" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:us-gaap="http://fasb.org/us-gaap/2023" xmlns:dei="http://xbrl.sec.gov/dei/2023" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xlink="http://www.w3.org/1999/xlink">
  <xsd:import schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd" namespace="http://www.xbrl.org/2003/instance"/>
  <xsd:import schemaLocation="http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" namespace="http://www.xbrl.org/2003/linkbase"/>
  <xsd:import schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd" namespace="http://xbrl.org/2005/xbrldt"/>
  <xsd:import schemaLocation="https://xbrl.sec.gov/dei/2023/dei-2023.xsd" namespace="http://xbrl.sec.gov/dei/2023"/>
  <xsd:import schemaLocation="https://xbrl.sec.gov/ecd/2023/ecd-sub-2023.xsd" namespace="http://xbrl.sec.gov/ecd-sub/2023"/>
  <xsd:import schemaLocation="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd" namespace="http://fasb.org/us-gaap/2023"/>
  <xsd:import schemaLocation="https://www.xbrl.org/dtr/type/2022-03-31/types.xsd" namespace="http://www.xbrl.org/dtr/type/2022-03-31"/>
  <xsd:import schemaLocation="https://xbrl.sec.gov/ecd/2023/ecd-2023.xsd" namespace="http://xbrl.sec.gov/ecd/2023"/>
  <xsd:annotation>
    <xsd:appinfo>
      <link:roleType roleURI="http://www.shoecarnival.com/20240502/taxonomy/role/DocumentDocumentAndEntityInformation" id="DocumentDocumentAndEntityInformation">
        <link:definition>100000 - Document - Document and Entity Information</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:linkbase id="lnk">
        <link:arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/all" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#all" xlink:type="simple"/>
        <link:arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/dimension-default" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#dimension-default" xlink:type="simple"/>
        <link:arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/dimension-domain" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#dimension-domain" xlink:type="simple"/>
        <link:arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/domain-member" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#domain-member" xlink:type="simple"/>
        <link:arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/hypercube-dimension" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#hypercube-dimension" xlink:type="simple"/>
        <link:roleRef roleURI="http://www.shoecarnival.com/20240502/taxonomy/role/DocumentDocumentAndEntityInformation" xlink:href="scvl-20240502.xsd#DocumentDocumentAndEntityInformation" xlink:type="simple"/>
        <link:roleRef roleURI="http://xbrl.sec.gov/ecd/role/PvpDisclosure" xlink:href="https://xbrl.sec.gov/ecd/2023/ecd-2023.xsd#PvpDisclosure" xlink:type="simple"/>
        <link:roleRef roleURI="http://xbrl.sec.gov/ecd/role/PvpAdjustmentsOnly" xlink:href="https://xbrl.sec.gov/ecd/2023/ecd-2023.xsd#PvpAdjustmentsOnly" xlink:type="simple"/>
        <link:roleRef roleURI="http://xbrl.sec.gov/ecd/role/IndividualsOnly" xlink:href="https://xbrl.sec.gov/ecd/2023/ecd-2023.xsd#IndividualsOnly" xlink:type="simple"/>
        <link:labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:title="labelLink" xlink:type="extended">
          <link:loc xlink:type="locator" xlink:href="scvl-20240502.xsd#scvl_MrEdwardsMember" xlink:label="scvl_MrEdwardsMember"/>
          <link:loc xlink:type="locator" xlink:href="scvl-20240502.xsd#scvl_FairValueOfUnvestedCurrentYearAwardsMember" xlink:label="scvl_FairValueOfUnvestedCurrentYearAwardsMember"/>
          <link:loc xlink:type="locator" xlink:href="scvl-20240502.xsd#scvl_MrChiltonMember" xlink:label="scvl_MrChiltonMember"/>
          <link:loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/dei/2023/dei-2023.xsd#dei_EntityCentralIndexKey" xlink:label="dei_EntityCentralIndexKey"/>
          <link:loc xlink:type="locator" xlink:href="scvl-20240502.xsd#scvl_PriorYearFairValueOfForfeitedPriorYearAwardsMember" xlink:label="scvl_PriorYearFairValueOfForfeitedPriorYearAwardsMember"/>
          <link:loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/dei/2023/dei-2023.xsd#dei_EntityRegistrantName" xlink:label="dei_EntityRegistrantName"/>
          <link:loc xlink:type="locator" xlink:href="scvl-20240502.xsd#scvl_ValueAtVestOfCurrentYearAwardsVestingInCurrentYearMember" xlink:label="scvl_ValueAtVestOfCurrentYearAwardsVestingInCurrentYearMember"/>
          <link:loc xlink:type="locator" xlink:href="scvl-20240502.xsd#scvl_OtherMember" xlink:label="scvl_OtherMember"/>
          <link:loc xlink:type="locator" xlink:href="scvl-20240502.xsd#scvl_MrScibettaMember" xlink:label="scvl_MrScibettaMember"/>
          <link:loc xlink:type="locator" xlink:href="scvl-20240502.xsd#scvl_FairValueOfUnvestedPriorYearAwardsMember" xlink:label="scvl_FairValueOfUnvestedPriorYearAwardsMember"/>
          <link:loc xlink:type="locator" xlink:href="scvl-20240502.xsd#scvl_PriorYearFairValueOfAwardsVestingInCurrentYearMember" xlink:label="scvl_PriorYearFairValueOfAwardsVestingInCurrentYearMember"/>
          <link:loc xlink:type="locator" xlink:href="scvl-20240502.xsd#scvl_MrBakerMember" xlink:label="scvl_MrBakerMember"/>
          <link:loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/dei/2023/dei-2023.xsd#dei_CoverAbstract" xlink:label="dei_CoverAbstract"/>
          <link:loc xlink:type="locator" xlink:href="scvl-20240502.xsd#scvl_MrJacksonMember" xlink:label="scvl_MrJacksonMember"/>
          <link:loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/dei/2023/dei-2023.xsd#dei_AmendmentFlag" xlink:label="dei_AmendmentFlag"/>
          <link:loc xlink:type="locator" xlink:href="scvl-20240502.xsd#scvl_PriorYearFairValueOfUnvestedPriorYearAwardsMember" xlink:label="scvl_PriorYearFairValueOfUnvestedPriorYearAwardsMember"/>
          <link:loc xlink:type="locator" xlink:href="scvl-20240502.xsd#scvl_SiffordMember" xlink:label="scvl_SiffordMember"/>
          <link:loc xlink:type="locator" xlink:href="scvl-20240502.xsd#scvl_WordenMember" xlink:label="scvl_WordenMember"/>
          <link:loc xlink:type="locator" xlink:href="scvl-20240502.xsd#scvl_GrantDateFairValueOfCurrentYearAwardsMember" xlink:label="scvl_GrantDateFairValueOfCurrentYearAwardsMember"/>
          <link:loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/dei/2023/dei-2023.xsd#dei_DocumentType" xlink:label="dei_DocumentType"/>
          <link:loc xlink:type="locator" xlink:href="scvl-20240502.xsd#scvl_ValueAtVestOfPriorYearAwardsVestingInCurrentYearMember" xlink:label="scvl_ValueAtVestOfPriorYearAwardsVestingInCurrentYearMember"/>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="scvl_MrEdwardsMember_lbl" xlink:role="http://www.xbrl.org/2003/role/documentation">Mr. Edwards</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="scvl_MrEdwardsMember_lbl" xlink:role="http://www.xbrl.org/2003/role/label">Mr. Edwards [Member]</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="scvl_FairValueOfUnvestedCurrentYearAwardsMember_lbl" xlink:role="http://www.xbrl.org/2003/role/documentation">Fair value of unvested current year awards</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="scvl_FairValueOfUnvestedCurrentYearAwardsMember_lbl" xlink:role="http://www.xbrl.org/2003/role/label">Fair Value of Unvested Current Year Awards [Member]</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="scvl_MrChiltonMember_lbl" xlink:role="http://www.xbrl.org/2003/role/documentation">Mr. Chilton</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="scvl_MrChiltonMember_lbl" xlink:role="http://www.xbrl.org/2003/role/label">Mr. Chilton [Member]</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="dei_EntityCentralIndexKey_lbl" xlink:role="http://www.xbrl.org/2003/role/terseLabel">CIK</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="dei_EntityCentralIndexKey_lbl" xlink:role="http://www.xbrl.org/2003/role/label">Entity Central Index Key</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="scvl_PriorYearFairValueOfForfeitedPriorYearAwardsMember_lbl" xlink:role="http://www.xbrl.org/2003/role/terseLabel">Prior Year Fair Value of Forfeited Prior Year Awards</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="scvl_PriorYearFairValueOfForfeitedPriorYearAwardsMember_lbl" xlink:role="http://www.xbrl.org/2003/role/label">Prior Year Fair Value Of Forfeited Prior Year Awards [Member]</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="scvl_PriorYearFairValueOfForfeitedPriorYearAwardsMember_lbl" xlink:role="http://www.xbrl.org/2003/role/documentation">Prior year fair value of forfeited prior year awards</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="dei_EntityRegistrantName_lbl" xlink:role="http://www.xbrl.org/2003/role/terseLabel">Registrant Name</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="dei_EntityRegistrantName_lbl" xlink:role="http://www.xbrl.org/2003/role/label">Entity Registrant Name</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="scvl_ValueAtVestOfCurrentYearAwardsVestingInCurrentYearMember_lbl" xlink:role="http://www.xbrl.org/2003/role/terseLabel">Value at Vest of Current Year Awards Vesting in Current Year</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="scvl_ValueAtVestOfCurrentYearAwardsVestingInCurrentYearMember_lbl" xlink:role="http://www.xbrl.org/2003/role/label">Value at Vest of Current Year Awards Vesting in Current Year [Member]</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="scvl_ValueAtVestOfCurrentYearAwardsVestingInCurrentYearMember_lbl" xlink:role="http://www.xbrl.org/2003/role/documentation">Value at vest of current year awards vesting in current year.</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="scvl_OtherMember_lbl" xlink:role="http://www.xbrl.org/2003/role/terseLabel">Other [Member]</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="scvl_OtherMember_lbl" xlink:role="http://www.xbrl.org/2003/role/documentation">Other [Member]</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="scvl_OtherMember_lbl" xlink:role="http://www.xbrl.org/2003/role/label">Other [Member]</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="scvl_MrScibettaMember_lbl" xlink:role="http://www.xbrl.org/2003/role/documentation">Mr. Scibetta</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="scvl_MrScibettaMember_lbl" xlink:role="http://www.xbrl.org/2003/role/label">Mr. Scibetta [Member]</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="scvl_FairValueOfUnvestedPriorYearAwardsMember_lbl" xlink:role="http://www.xbrl.org/2003/role/documentation">Fair value of unvested prior year awards</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="scvl_FairValueOfUnvestedPriorYearAwardsMember_lbl" xlink:role="http://www.xbrl.org/2003/role/label">Fair Value of Unvested Prior Year Awards [Member]</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="scvl_PriorYearFairValueOfAwardsVestingInCurrentYearMember_lbl" xlink:role="http://www.xbrl.org/2003/role/documentation">Prior year fair value of awards vesting in current year</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="scvl_PriorYearFairValueOfAwardsVestingInCurrentYearMember_lbl" xlink:role="http://www.xbrl.org/2003/role/label">Prior Year Fair Value of Awards Vesting in Current Year [Member]</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="scvl_MrBakerMember_lbl" xlink:role="http://www.xbrl.org/2003/role/documentation">Mr. Baker</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="scvl_MrBakerMember_lbl" xlink:role="http://www.xbrl.org/2003/role/label">Mr. Baker [Member]</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="dei_CoverAbstract_lbl" xlink:role="http://www.xbrl.org/2003/role/terseLabel">Cover</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="dei_CoverAbstract_lbl" xlink:role="http://www.xbrl.org/2003/role/label">Cover [Abstract]</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="scvl_MrJacksonMember_lbl" xlink:role="http://www.xbrl.org/2003/role/documentation">Mr. Jackson</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="scvl_MrJacksonMember_lbl" xlink:role="http://www.xbrl.org/2003/role/label">Mr. Jackson [Member]</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="dei_AmendmentFlag_lbl" xlink:role="http://www.xbrl.org/2003/role/terseLabel">Amendment</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="dei_AmendmentFlag_lbl" xlink:role="http://www.xbrl.org/2003/role/label">Amendment Flag</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="scvl_PriorYearFairValueOfUnvestedPriorYearAwardsMember_lbl" xlink:role="http://www.xbrl.org/2003/role/documentation">Prior year fair value of unvested prior year awards</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="scvl_PriorYearFairValueOfUnvestedPriorYearAwardsMember_lbl" xlink:role="http://www.xbrl.org/2003/role/label">Prior Year Fair Value of Unvested Prior Year Awards [Member]</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="scvl_SiffordMember_lbl" xlink:role="http://www.xbrl.org/2003/role/documentation">Sifford Member</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="scvl_SiffordMember_lbl" xlink:role="http://www.xbrl.org/2003/role/label">Sifford [Member]</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="scvl_WordenMember_lbl" xlink:role="http://www.xbrl.org/2003/role/documentation">Worden Member</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="scvl_WordenMember_lbl" xlink:role="http://www.xbrl.org/2003/role/label">Worden [Member]</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="scvl_GrantDateFairValueOfCurrentYearAwardsMember_lbl" xlink:role="http://www.xbrl.org/2003/role/documentation">Grant date fair value of current year awards</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="scvl_GrantDateFairValueOfCurrentYearAwardsMember_lbl" xlink:role="http://www.xbrl.org/2003/role/label">Grant Date Fair Value of Current Year Awards [Member]</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="dei_DocumentType_lbl" xlink:role="http://www.xbrl.org/2003/role/terseLabel">Document Type</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="dei_DocumentType_lbl" xlink:role="http://www.xbrl.org/2003/role/label">Document Type</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="scvl_ValueAtVestOfPriorYearAwardsVestingInCurrentYearMember_lbl" xlink:role="http://www.xbrl.org/2003/role/documentation">Value at vest of prior year awards vesting in current year</link:label>
          <link:label xml:lang="en-US" xlink:type="resource" xlink:label="scvl_ValueAtVestOfPriorYearAwardsVestingInCurrentYearMember_lbl" xlink:role="http://www.xbrl.org/2003/role/label">Value at Vest of Prior Year Awards Vesting in Current Year [Member]</link:label>
          <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="scvl_MrEdwardsMember" xlink:to="scvl_MrEdwardsMember_lbl"/>
          <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="scvl_FairValueOfUnvestedCurrentYearAwardsMember" xlink:to="scvl_FairValueOfUnvestedCurrentYearAwardsMember_lbl"/>
          <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="scvl_MrChiltonMember" xlink:to="scvl_MrChiltonMember_lbl"/>
          <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="dei_EntityCentralIndexKey" xlink:to="dei_EntityCentralIndexKey_lbl"/>
          <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="scvl_PriorYearFairValueOfForfeitedPriorYearAwardsMember" xlink:to="scvl_PriorYearFairValueOfForfeitedPriorYearAwardsMember_lbl"/>
          <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="dei_EntityRegistrantName" xlink:to="dei_EntityRegistrantName_lbl"/>
          <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="scvl_ValueAtVestOfCurrentYearAwardsVestingInCurrentYearMember" xlink:to="scvl_ValueAtVestOfCurrentYearAwardsVestingInCurrentYearMember_lbl"/>
          <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="scvl_OtherMember" xlink:to="scvl_OtherMember_lbl"/>
          <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="scvl_MrScibettaMember" xlink:to="scvl_MrScibettaMember_lbl"/>
          <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="scvl_FairValueOfUnvestedPriorYearAwardsMember" xlink:to="scvl_FairValueOfUnvestedPriorYearAwardsMember_lbl"/>
          <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="scvl_PriorYearFairValueOfAwardsVestingInCurrentYearMember" xlink:to="scvl_PriorYearFairValueOfAwardsVestingInCurrentYearMember_lbl"/>
          <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="scvl_MrBakerMember" xlink:to="scvl_MrBakerMember_lbl"/>
          <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="dei_CoverAbstract" xlink:to="dei_CoverAbstract_lbl"/>
          <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="scvl_MrJacksonMember" xlink:to="scvl_MrJacksonMember_lbl"/>
          <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="dei_AmendmentFlag" xlink:to="dei_AmendmentFlag_lbl"/>
          <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="scvl_PriorYearFairValueOfUnvestedPriorYearAwardsMember" xlink:to="scvl_PriorYearFairValueOfUnvestedPriorYearAwardsMember_lbl"/>
          <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="scvl_SiffordMember" xlink:to="scvl_SiffordMember_lbl"/>
          <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="scvl_WordenMember" xlink:to="scvl_WordenMember_lbl"/>
          <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="scvl_GrantDateFairValueOfCurrentYearAwardsMember" xlink:to="scvl_GrantDateFairValueOfCurrentYearAwardsMember_lbl"/>
          <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="dei_DocumentType" xlink:to="dei_DocumentType_lbl"/>
          <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="scvl_ValueAtVestOfPriorYearAwardsVestingInCurrentYearMember" xlink:to="scvl_ValueAtVestOfPriorYearAwardsVestingInCurrentYearMember_lbl"/>
        </link:labelLink>
        <link:presentationLink xlink:role="http://www.shoecarnival.com/20240502/taxonomy/role/DocumentDocumentAndEntityInformation" xlink:title="presentationLink" xlink:type="extended">
          <link:loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/dei/2023/dei-2023.xsd#dei_CoverAbstract" xlink:label="dei_CoverAbstract"/>
          <link:loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/dei/2023/dei-2023.xsd#dei_DocumentType" xlink:label="dei_DocumentType"/>
          <link:loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/dei/2023/dei-2023.xsd#dei_AmendmentFlag" xlink:label="dei_AmendmentFlag"/>
          <link:loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/dei/2023/dei-2023.xsd#dei_EntityRegistrantName" xlink:label="dei_EntityRegistrantName"/>
          <link:loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/dei/2023/dei-2023.xsd#dei_EntityCentralIndexKey" xlink:label="dei_EntityCentralIndexKey"/>
          <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="dei_CoverAbstract" xlink:to="dei_DocumentType" order="49.0" priority="2" use="optional" preferredLabel="http://www.xbrl.org/2003/role/label"/>
          <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="dei_CoverAbstract" xlink:to="dei_AmendmentFlag" order="50.0" priority="2" use="optional" preferredLabel="http://www.xbrl.org/2003/role/label"/>
          <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="dei_CoverAbstract" xlink:to="dei_EntityRegistrantName" order="51.0" priority="2" use="optional" preferredLabel="http://www.xbrl.org/2003/role/label"/>
          <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="dei_CoverAbstract" xlink:to="dei_EntityCentralIndexKey" order="52.0" priority="2" use="optional" preferredLabel="http://www.xbrl.org/2003/role/label"/>
        </link:presentationLink>
        <link:presentationLink xlink:role="http://xbrl.sec.gov/ecd/role/PvpDisclosure" xlink:title="presentationLink" xlink:type="extended">
          <link:loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/ecd/2023/ecd-2023.xsd#ecd_AllAdjToCompMember" xlink:label="ecd_AllAdjToCompMember"/>
          <link:loc xlink:type="locator" xlink:href="scvl-20240502.xsd#scvl_GrantDateFairValueOfCurrentYearAwardsMember" xlink:label="scvl_GrantDateFairValueOfCurrentYearAwardsMember"/>
          <link:loc xlink:type="locator" xlink:href="scvl-20240502.xsd#scvl_FairValueOfUnvestedCurrentYearAwardsMember" xlink:label="scvl_FairValueOfUnvestedCurrentYearAwardsMember"/>
          <link:loc xlink:type="locator" xlink:href="scvl-20240502.xsd#scvl_FairValueOfUnvestedPriorYearAwardsMember" xlink:label="scvl_FairValueOfUnvestedPriorYearAwardsMember"/>
          <link:loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/ecd/2023/ecd-2023.xsd#ecd_AllIndividualsMember" xlink:label="ecd_AllIndividualsMember"/>
          <link:loc xlink:type="locator" xlink:href="scvl-20240502.xsd#scvl_WordenMember" xlink:label="scvl_WordenMember"/>
          <link:loc xlink:type="locator" xlink:href="scvl-20240502.xsd#scvl_PriorYearFairValueOfUnvestedPriorYearAwardsMember" xlink:label="scvl_PriorYearFairValueOfUnvestedPriorYearAwardsMember"/>
          <link:loc xlink:type="locator" xlink:href="scvl-20240502.xsd#scvl_SiffordMember" xlink:label="scvl_SiffordMember"/>
          <link:loc xlink:type="locator" xlink:href="scvl-20240502.xsd#scvl_PriorYearFairValueOfForfeitedPriorYearAwardsMember" xlink:label="scvl_PriorYearFairValueOfForfeitedPriorYearAwardsMember"/>
          <link:loc xlink:type="locator" xlink:href="scvl-20240502.xsd#scvl_MrJacksonMember" xlink:label="scvl_MrJacksonMember"/>
          <link:loc xlink:type="locator" xlink:href="scvl-20240502.xsd#scvl_ValueAtVestOfCurrentYearAwardsVestingInCurrentYearMember" xlink:label="scvl_ValueAtVestOfCurrentYearAwardsVestingInCurrentYearMember"/>
          <link:loc xlink:type="locator" xlink:href="scvl-20240502.xsd#scvl_MrScibettaMember" xlink:label="scvl_MrScibettaMember"/>
          <link:loc xlink:type="locator" xlink:href="scvl-20240502.xsd#scvl_ValueAtVestOfPriorYearAwardsVestingInCurrentYearMember" xlink:label="scvl_ValueAtVestOfPriorYearAwardsVestingInCurrentYearMember"/>
          <link:loc xlink:type="locator" xlink:href="scvl-20240502.xsd#scvl_MrChiltonMember" xlink:label="scvl_MrChiltonMember"/>
          <link:loc xlink:type="locator" xlink:href="scvl-20240502.xsd#scvl_PriorYearFairValueOfAwardsVestingInCurrentYearMember" xlink:label="scvl_PriorYearFairValueOfAwardsVestingInCurrentYearMember"/>
          <link:loc xlink:type="locator" xlink:href="scvl-20240502.xsd#scvl_MrEdwardsMember" xlink:label="scvl_MrEdwardsMember"/>
          <link:loc xlink:type="locator" xlink:href="scvl-20240502.xsd#scvl_OtherMember" xlink:label="scvl_OtherMember"/>
          <link:loc xlink:type="locator" xlink:href="scvl-20240502.xsd#scvl_MrBakerMember" xlink:label="scvl_MrBakerMember"/>
          <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_AllAdjToCompMember" xlink:to="scvl_GrantDateFairValueOfCurrentYearAwardsMember" order="0" priority="2" use="optional" preferredLabel="http://www.xbrl.org/2003/role/label"/>
          <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_AllAdjToCompMember" xlink:to="scvl_FairValueOfUnvestedCurrentYearAwardsMember" order="1" priority="2" use="optional" preferredLabel="http://www.xbrl.org/2003/role/label"/>
          <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_AllAdjToCompMember" xlink:to="scvl_FairValueOfUnvestedPriorYearAwardsMember" order="2" priority="2" use="optional" preferredLabel="http://www.xbrl.org/2003/role/label"/>
          <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_AllIndividualsMember" xlink:to="scvl_WordenMember" order="2.0" priority="2" use="optional" preferredLabel="http://www.xbrl.org/2003/role/label"/>
          <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_AllAdjToCompMember" xlink:to="scvl_PriorYearFairValueOfUnvestedPriorYearAwardsMember" order="3" priority="2" use="optional" preferredLabel="http://www.xbrl.org/2003/role/label"/>
          <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_AllIndividualsMember" xlink:to="scvl_SiffordMember" order="3.0" priority="2" use="optional" preferredLabel="http://www.xbrl.org/2003/role/label"/>
          <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_AllAdjToCompMember" xlink:to="scvl_PriorYearFairValueOfForfeitedPriorYearAwardsMember" order="4" priority="2" use="optional" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
          <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_AllIndividualsMember" xlink:to="scvl_MrJacksonMember" order="4.0" priority="2" use="optional" preferredLabel="http://www.xbrl.org/2003/role/label"/>
          <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_AllAdjToCompMember" xlink:to="scvl_ValueAtVestOfCurrentYearAwardsVestingInCurrentYearMember" order="5" priority="2" use="optional" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
          <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_AllIndividualsMember" xlink:to="scvl_MrScibettaMember" order="5.0" priority="2" use="optional" preferredLabel="http://www.xbrl.org/2003/role/label"/>
          <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_AllAdjToCompMember" xlink:to="scvl_ValueAtVestOfPriorYearAwardsVestingInCurrentYearMember" order="6" priority="2" use="optional" preferredLabel="http://www.xbrl.org/2003/role/label"/>
          <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_AllIndividualsMember" xlink:to="scvl_MrChiltonMember" order="6.0" priority="2" use="optional" preferredLabel="http://www.xbrl.org/2003/role/label"/>
          <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_AllAdjToCompMember" xlink:to="scvl_PriorYearFairValueOfAwardsVestingInCurrentYearMember" order="7" priority="2" use="optional" preferredLabel="http://www.xbrl.org/2003/role/label"/>
          <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_AllIndividualsMember" xlink:to="scvl_MrEdwardsMember" order="7.0" priority="2" use="optional" preferredLabel="http://www.xbrl.org/2003/role/label"/>
          <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_AllIndividualsMember" xlink:to="scvl_OtherMember" order="8.0" priority="2" use="optional" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
          <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ecd_AllIndividualsMember" xlink:to="scvl_MrBakerMember" order="9.0" priority="2" use="optional" preferredLabel="http://www.xbrl.org/2003/role/label"/>
        </link:presentationLink>
        <link:definitionLink xlink:type="extended" xlink:role="http://xbrl.sec.gov/ecd/role/PvpAdjustmentsOnly">
          <link:loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/ecd/2023/ecd-2023.xsd#ecd_AllAdjToCompMember" xlink:label="ecd_AllAdjToCompMember"/>
          <link:loc xlink:type="locator" xlink:href="scvl-20240502.xsd#scvl_GrantDateFairValueOfCurrentYearAwardsMember" xlink:label="scvl_GrantDateFairValueOfCurrentYearAwardsMember"/>
          <link:loc xlink:type="locator" xlink:href="scvl-20240502.xsd#scvl_FairValueOfUnvestedCurrentYearAwardsMember" xlink:label="scvl_FairValueOfUnvestedCurrentYearAwardsMember"/>
          <link:loc xlink:type="locator" xlink:href="scvl-20240502.xsd#scvl_FairValueOfUnvestedPriorYearAwardsMember" xlink:label="scvl_FairValueOfUnvestedPriorYearAwardsMember"/>
          <link:loc xlink:type="locator" xlink:href="scvl-20240502.xsd#scvl_PriorYearFairValueOfUnvestedPriorYearAwardsMember" xlink:label="scvl_PriorYearFairValueOfUnvestedPriorYearAwardsMember"/>
          <link:loc xlink:type="locator" xlink:href="scvl-20240502.xsd#scvl_PriorYearFairValueOfForfeitedPriorYearAwardsMember" xlink:label="scvl_PriorYearFairValueOfForfeitedPriorYearAwardsMember"/>
          <link:loc xlink:type="locator" xlink:href="scvl-20240502.xsd#scvl_ValueAtVestOfCurrentYearAwardsVestingInCurrentYearMember" xlink:label="scvl_ValueAtVestOfCurrentYearAwardsVestingInCurrentYearMember"/>
          <link:loc xlink:type="locator" xlink:href="scvl-20240502.xsd#scvl_ValueAtVestOfPriorYearAwardsVestingInCurrentYearMember" xlink:label="scvl_ValueAtVestOfPriorYearAwardsVestingInCurrentYearMember"/>
          <link:loc xlink:type="locator" xlink:href="scvl-20240502.xsd#scvl_PriorYearFairValueOfAwardsVestingInCurrentYearMember" xlink:label="scvl_PriorYearFairValueOfAwardsVestingInCurrentYearMember"/>
          <link:definitionArc xlink:type="arc" order="0" xbrldt:closed="false" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="ecd_AllAdjToCompMember" xlink:to="scvl_GrantDateFairValueOfCurrentYearAwardsMember" priority="2" use="optional"/>
          <link:definitionArc xlink:type="arc" order="1" xbrldt:closed="false" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="ecd_AllAdjToCompMember" xlink:to="scvl_FairValueOfUnvestedCurrentYearAwardsMember" priority="2" use="optional"/>
          <link:definitionArc xlink:type="arc" order="2" xbrldt:closed="false" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="ecd_AllAdjToCompMember" xlink:to="scvl_FairValueOfUnvestedPriorYearAwardsMember" priority="2" use="optional"/>
          <link:definitionArc xlink:type="arc" order="3" xbrldt:closed="false" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="ecd_AllAdjToCompMember" xlink:to="scvl_PriorYearFairValueOfUnvestedPriorYearAwardsMember" priority="2" use="optional"/>
          <link:definitionArc xlink:type="arc" order="4" xbrldt:closed="false" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="ecd_AllAdjToCompMember" xlink:to="scvl_PriorYearFairValueOfForfeitedPriorYearAwardsMember" priority="2" use="optional"/>
          <link:definitionArc xlink:type="arc" order="5" xbrldt:closed="false" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="ecd_AllAdjToCompMember" xlink:to="scvl_ValueAtVestOfCurrentYearAwardsVestingInCurrentYearMember" priority="2" use="optional"/>
          <link:definitionArc xlink:type="arc" order="6" xbrldt:closed="false" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="ecd_AllAdjToCompMember" xlink:to="scvl_ValueAtVestOfPriorYearAwardsVestingInCurrentYearMember" priority="2" use="optional"/>
          <link:definitionArc xlink:type="arc" order="7" xbrldt:closed="false" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="ecd_AllAdjToCompMember" xlink:to="scvl_PriorYearFairValueOfAwardsVestingInCurrentYearMember" priority="2" use="optional"/>
        </link:definitionLink>
        <link:definitionLink xlink:type="extended" xlink:role="http://xbrl.sec.gov/ecd/role/IndividualsOnly">
          <link:loc xlink:type="locator" xlink:href="https://xbrl.sec.gov/ecd/2023/ecd-2023.xsd#ecd_AllIndividualsMember" xlink:label="ecd_AllIndividualsMember"/>
          <link:loc xlink:type="locator" xlink:href="scvl-20240502.xsd#scvl_WordenMember" xlink:label="scvl_WordenMember"/>
          <link:loc xlink:type="locator" xlink:href="scvl-20240502.xsd#scvl_SiffordMember" xlink:label="scvl_SiffordMember"/>
          <link:loc xlink:type="locator" xlink:href="scvl-20240502.xsd#scvl_MrJacksonMember" xlink:label="scvl_MrJacksonMember"/>
          <link:loc xlink:type="locator" xlink:href="scvl-20240502.xsd#scvl_MrScibettaMember" xlink:label="scvl_MrScibettaMember"/>
          <link:loc xlink:type="locator" xlink:href="scvl-20240502.xsd#scvl_MrChiltonMember" xlink:label="scvl_MrChiltonMember"/>
          <link:loc xlink:type="locator" xlink:href="scvl-20240502.xsd#scvl_MrEdwardsMember" xlink:label="scvl_MrEdwardsMember"/>
          <link:loc xlink:type="locator" xlink:href="scvl-20240502.xsd#scvl_OtherMember" xlink:label="scvl_OtherMember"/>
          <link:loc xlink:type="locator" xlink:href="scvl-20240502.xsd#scvl_MrBakerMember" xlink:label="scvl_MrBakerMember"/>
          <link:definitionArc xlink:type="arc" order="0" xbrldt:closed="false" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="ecd_AllIndividualsMember" xlink:to="scvl_WordenMember" priority="2" use="optional"/>
          <link:definitionArc xlink:type="arc" order="1" xbrldt:closed="false" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="ecd_AllIndividualsMember" xlink:to="scvl_SiffordMember" priority="2" use="optional"/>
          <link:definitionArc xlink:type="arc" order="2" xbrldt:closed="false" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="ecd_AllIndividualsMember" xlink:to="scvl_MrJacksonMember" priority="2" use="optional"/>
          <link:definitionArc xlink:type="arc" order="3" xbrldt:closed="false" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="ecd_AllIndividualsMember" xlink:to="scvl_MrScibettaMember" priority="2" use="optional"/>
          <link:definitionArc xlink:type="arc" order="4" xbrldt:closed="false" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="ecd_AllIndividualsMember" xlink:to="scvl_MrChiltonMember" priority="2" use="optional"/>
          <link:definitionArc xlink:type="arc" order="5" xbrldt:closed="false" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="ecd_AllIndividualsMember" xlink:to="scvl_MrEdwardsMember" priority="2" use="optional"/>
          <link:definitionArc xlink:type="arc" order="6" xbrldt:closed="false" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="ecd_AllIndividualsMember" xlink:to="scvl_OtherMember" priority="2" use="optional"/>
          <link:definitionArc xlink:type="arc" order="7" xbrldt:closed="false" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="ecd_AllIndividualsMember" xlink:to="scvl_MrBakerMember" priority="2" use="optional"/>
        </link:definitionLink>
      </link:linkbase>
    </xsd:appinfo>
  </xsd:annotation>
  <xsd:element id="scvl_MrEdwardsMember" name="MrEdwardsMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true"/>
  <xsd:element id="scvl_FairValueOfUnvestedCurrentYearAwardsMember" name="FairValueOfUnvestedCurrentYearAwardsMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true"/>
  <xsd:element id="scvl_PriorYearFairValueOfUnvestedPriorYearAwardsMember" name="PriorYearFairValueOfUnvestedPriorYearAwardsMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true"/>
  <xsd:element id="scvl_SiffordMember" name="SiffordMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true"/>
  <xsd:element id="scvl_WordenMember" name="WordenMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true"/>
  <xsd:element id="scvl_GrantDateFairValueOfCurrentYearAwardsMember" name="GrantDateFairValueOfCurrentYearAwardsMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true"/>
  <xsd:element id="scvl_PriorYearFairValueOfForfeitedPriorYearAwardsMember" name="PriorYearFairValueOfForfeitedPriorYearAwardsMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true"/>
  <xsd:element id="scvl_ValueAtVestOfPriorYearAwardsVestingInCurrentYearMember" name="ValueAtVestOfPriorYearAwardsVestingInCurrentYearMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true"/>
  <xsd:element id="scvl_FairValueOfUnvestedPriorYearAwardsMember" name="FairValueOfUnvestedPriorYearAwardsMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true"/>
  <xsd:element id="scvl_MrBakerMember" name="MrBakerMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true"/>
  <xsd:element id="scvl_MrJacksonMember" name="MrJacksonMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true"/>
  <xsd:element id="scvl_MrScibettaMember" name="MrScibettaMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true"/>
  <xsd:element id="scvl_OtherMember" name="OtherMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true"/>
  <xsd:element id="scvl_MrChiltonMember" name="MrChiltonMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true"/>
  <xsd:element id="scvl_PriorYearFairValueOfAwardsVestingInCurrentYearMember" name="PriorYearFairValueOfAwardsVestingInCurrentYearMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true"/>
  <xsd:element id="scvl_ValueAtVestOfCurrentYearAwardsVestingInCurrentYearMember" name="ValueAtVestOfCurrentYearAwardsVestingInCurrentYearMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" xbrli:periodType="duration" nillable="true" abstract="true"/>
</xsd:schema>
